## com.gargoylesoftware.htmlunit
Class TextPage

    java.lang.Object
      com.gargoylesoftware.htmlunit.TextPage

All Implemented Interfaces:
  Page, java.io.Serializable

    public class TextPage

extends java.lang.Object
implements Page

A generic page that will be returned for any text related content. Specifically any content types that start with "text/"

Version:
  $Revision: 4756 $
Author:
  Mike Bowler, David K. Taylor
See Also:
  Serialized Form

Constructor Summary
`TextPage(WebResponse webResponse, WebWindow enclosingWindow)` Creates an instance.

Method Summary
`void` `cleanUp()` Cleans up this page.
`java.lang.String` `getContent()` Returns the content of this page.
`WebWindow` `getEnclosingWindow()` Returns the window that this page is sitting inside.
`WebResponse` `getWebResponse()` Returns the web response that was originally used to create this page.
`void` `initialize()` Initializes this page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextPage

    public TextPage(WebResponse webResponse,
                    WebWindow enclosingWindow)

  Creates an instance.

  Parameters:
    `webResponse` - the response from the server
    `enclosingWindow` - the window that holds the page

Method Detail

### initialize

    public void initialize()

  Initializes this page.

  Specified by:
    `initialize` in interface `Page`

### cleanUp

    public void cleanUp()

  Cleans up this page.

  Specified by:
    `cleanUp` in interface `Page`

### getContent

    public java.lang.String getContent()

  Returns the content of this page.

  Returns:
    the content of this page

### getWebResponse

    public WebResponse getWebResponse()

  Returns the web response that was originally used to create this page.

  Specified by:
    `getWebResponse` in interface `Page`
  Returns:
    the web response that was originally used to create this page

### getEnclosingWindow

    public WebWindow getEnclosingWindow()

  Returns the window that this page is sitting inside.

  Specified by:
    `getEnclosingWindow` in interface `Page`
  Returns:
    the enclosing frame or null if this page isn't inside a frame

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.